Interface KubernetesReplicationControllersEndpointBuilderFactory.KubernetesReplicationControllersBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
KubernetesReplicationControllersEndpointBuilderFactory
public static interface KubernetesReplicationControllersEndpointBuilderFactory.KubernetesReplicationControllersBuilders
-
Method Summary
Modifier and TypeMethodDescriptionKubernetes Replication Controller (camel-kubernetes) Perform operations on Kubernetes Replication Controllers and get notified on Replication Controllers changes.Kubernetes Replication Controller (camel-kubernetes) Perform operations on Kubernetes Replication Controllers and get notified on Replication Controllers changes.kubernetesReplicationControllers(String componentName, String path) Kubernetes Replication Controller (camel-kubernetes) Perform operations on Kubernetes Replication Controllers and get notified on Replication Controllers changes.
-
Method Details
-
kubernetesReplicationControllers
default KubernetesReplicationControllersEndpointBuilderFactory.KubernetesReplicationControllersHeaderNameBuilder kubernetesReplicationControllers()Kubernetes Replication Controller (camel-kubernetes) Perform operations on Kubernetes Replication Controllers and get notified on Replication Controllers changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
kubernetesReplicationControllers
default KubernetesReplicationControllersEndpointBuilderFactory.KubernetesReplicationControllersEndpointBuilder kubernetesReplicationControllers(String path) Kubernetes Replication Controller (camel-kubernetes) Perform operations on Kubernetes Replication Controllers and get notified on Replication Controllers changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-replication-controllers:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
kubernetesReplicationControllers
default KubernetesReplicationControllersEndpointBuilderFactory.KubernetesReplicationControllersEndpointBuilder kubernetesReplicationControllers(String componentName, String path) Kubernetes Replication Controller (camel-kubernetes) Perform operations on Kubernetes Replication Controllers and get notified on Replication Controllers changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-replication-controllers:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-